# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::RenderToken Class Reference

Internally used by the rendering engine. More...

`#include <RenderToken.hpp>`

Inheritance diagram for vl::RenderToken:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RenderToken ()

## Public Attributes

const RenderToken * | mNextPass
Actor * | mActor
Renderable * | mRenderable
const Shader * | mShader
int | mEffectRenderRank
Real | mCameraDistance

## Detailed Description

Internally used by the rendering engine.

Definition at line 47 of file RenderToken.hpp.

## Constructor & Destructor Documentation

vl::RenderToken::RenderToken | ( | ) | `[inline]`

Definition at line 51 of file RenderToken.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::RenderToken::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Definition at line 50 of file RenderToken.hpp.

## Member Data Documentation

const RenderToken* vl::RenderToken::mNextPass

Definition at line 55 of file RenderToken.hpp.

Referenced by vl::Rendering::fillRenderQueue(), and vl::Renderer::render().

Actor* vl::RenderToken::mActor

Definition at line 57 of file RenderToken.hpp.

Referenced by vl::Rendering::fillRenderQueue(), vl::RenderQueueSorterAggressive::operator()(), vl::RenderQueueSorterOcclusion::operator()(), vl::RenderQueueSorterStandard::operator()(), vl::RenderQueueSorterBasic::operator()(), vl::Renderer::render(), vl::EdgeRenderer::render(), vl::OcclusionCullRenderer::render_pass1(), vl::OcclusionCullRenderer::render_pass2(), and vl::RenderQueue::sort().

Renderable* vl::RenderToken::mRenderable

Definition at line 58 of file RenderToken.hpp.

Referenced by vl::Rendering::fillRenderQueue(), vl::RenderQueueSorterAggressive::operator()(), vl::RenderQueueSorterOcclusion::operator()(), vl::RenderQueueSorterStandard::operator()(), vl::RenderQueueSorterBasic::operator()(), vl::RenderQueueSorterByRenderable::operator()(), vl::Renderer::render(), vl::OcclusionCullRenderer::render_pass2(), and vl::RenderQueue::sort().

const Shader* vl::RenderToken::mShader

Definition at line 59 of file RenderToken.hpp.

Referenced by vl::RenderQueueSorterAggressive::confirmZCameraDistanceNeed(), vl::RenderQueueSorterStandard::confirmZCameraDistanceNeed(), vl::Rendering::fillRenderQueue(), vl::RenderQueueSorterAggressive::operator()(), vl::RenderQueueSorterOcclusion::operator()(), vl::RenderQueueSorterStandard::operator()(), vl::RenderQueueSorterBasic::operator()(), vl::RenderQueueSorterByShader::operator()(), vl::Renderer::render(), and vl::OcclusionCullRenderer::render_pass2().

int vl::RenderToken::mEffectRenderRank

Definition at line 60 of file RenderToken.hpp.

Referenced by vl::Rendering::fillRenderQueue(), vl::RenderQueueSorterAggressive::operator()(), vl::RenderQueueSorterOcclusion::operator()(), vl::RenderQueueSorterStandard::operator()(), and vl::RenderQueueSorterBasic::operator()().

Real vl::RenderToken::mCameraDistance

Definition at line 62 of file RenderToken.hpp.

Referenced by vl::RenderQueueSorterAggressive::operator()(), vl::RenderQueueSorterOcclusion::operator()(), vl::RenderQueueSorterStandard::operator()(), and vl::RenderQueue::sort().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderToken.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.